# $Revision: 1.4.2.1 $, $Date: 2007/03/20 09:15:47 $

%define	short_name	curve
%define	texhash		[ ! -x %{_bindir}/texhash ] || %{_bindir}/texhash 1>&2 ;

Summary:	LaTeX2e package for typesetting Curricula Vitae
Summary(pl):	Pakiet LaTeX2e do skadania yciorysw (Curricula Vitae)
Name:		tetex-latex-%{short_name}
Version:	1.0.0
Release:	1
License:	LaTeX Project Public License
Group:		Applications/Publishing/TeX
Source0:	ftp://tug.ctan.org/pub/tex-archive/macros/latex/contrib/%{short_name}.zip
# Source0-md5:	0d246701a2ccba0e073f5c18c3d51de2
BuildRequires:	tetex-format-latex
BuildRequires:	unzip
Requires(post,postun):	/usr/bin/texhash
Requires:	tetex-latex
Requires:	tetex-latex-carlisle
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CurVe is a class package that hopefully will make your life easier
when you want to write your CV. It provides you with a set of commands
to create rubrics, entries in these rubrics etc. CurVe will then
properly format your CV for you (possibly splitting it onto multiple
pages, repeating the titles etc), which is usually the most painful
part of CV writing. Another nice feature of CurVe is its ability to
manage different CV "flavors" simultaneously. It is in fact often the
case that you want to maintain slightly divergent versions of your CV
at the same time, in order to emphasize on different aspects of your
background.

%description -l pl
Klasa CurVe ma za zadanie uatwia ycie podczas pisania yciorysw
(CV). Udostpnia zestaw komend do tworzenia rubryk i wpisw w nich.
CurVe moe prawidowo sformatowa CV (rozdzielajc je na kilka stron,
powtarzajc tytuy itp), co jest mczc czci pisania CV. Kolejn
mi waciwoci CurVe jest atwe zarzdzanie kilkoma rnymi CV na
raz - co jest czsto wykorzystywane w sytuacji gdy naley uywa kilku
rnych wersji CV w zalenoci od potrzeb.

%prep
%setup -q -n %{short_name}

%build
latex curve.ins
latex curve.dtx

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/texmf/tex/latex/%{short_name}

install *.cls *.tex *.dvi $RPM_BUILD_ROOT%{_datadir}/texmf/tex/latex/%{short_name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%texhash

%postun
%texhash

%files
%defattr(644,root,root,755)
%doc README NEWS rubric.tex cv.tex
%{_datadir}/texmf/tex/latex/%{short_name}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tetex-latex-curve.spec,v $
Revision 1.4.2.1  2007/03/20 09:15:47  undefine
- on AC-branch is still iso, so back from utf

Revision 1.4  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.2  2007/01/23 19:17:09  qboosh
- pl fix + cosmetics

Revision 1.1  2007/01/14 23:24:43  undefine
- initial
